/* getinfo.hh  version 0.1
 * Licence: GPL
 * all done by juergen repolusk <juerep@gmx.at>
 *
 * getinfo.hh is for getting info like the home path of
 * the user. at this point i dont know what else i can
 * include into it.
 *
 */

#include <stdio.h>
#include <pwd.h>
#include <sys/types.h>
#include <grp.h>
#include <unistd.h>


char* get_user_path(void)
{
	uid_t me;
	struct passwd *my_passwd;
	// struct group *my_group;
	char* my_dir;
	char* return_dir;

	me = getuid();
	my_passwd = getpwuid(me);
	if (!my_passwd)
	{
		printf("could not find any information about this user!\n");
		return NULL;
	}

	my_dir = my_passwd->pw_dir;
	if (asprintf(&return_dir,"%s/", my_dir) < 0)
		return NULL;
	
	return return_dir;

}

