/**************************************************************
 *	file_vect.hh
 *		done by jvr <juerep@gmx.at>
 *
 *	class to store a file&option vector, to read it out
 *	and to save everything into a file if wanted
 *
 *************************************************************/



// #define BG_COMMAND "fbsetbg" // for fluxbox version > 0.9.x
 // #define BG_COMMAND "bsetbg"


 #include "file_vect.hh"
 #include <vector>
 #include <iostream>
 #include <fstream>

 file_class::file_class(){
	//add constructor code here if needed
 }

 file_class::~file_class(){
	//add destructor code here if needed
 }


void file_class::push_it(char *file, char *option){
	file_struct temp;
	temp.filename = file;
	temp.option = option;

	file_vector.push_back(temp);
}


char * file_class::pull_filename(void){
	//add code for pulling filename here
	return pub_filename;
}

char * file_class::pull_option(void){
	//add code for pulling options here
	return pub_option;
}


void file_class::print_it(void){

	for (vector<file_struct>::iterator it = file_vector.begin(); it != file_vector.end(); it++) {
		cout << "filename: " << (*it).filename << " option: "<< (*it).option << endl;
	}
}

void file_class::push_to_file(const char* file){

	ofstream outfl(file, ios::out);
	if (!outfl){
		cerr << "error while opening file!" << endl;
	}

	cout << "pushing into file:" << file << endl;

	for (vector<file_struct>::iterator it = file_vector.begin(); it != file_vector.end(); it++) {
		// now push it into a file including the bsetbg command
		// outfl << BG_COMMAND << " " << (*it).option << " " << (*it).filename << endl; // old not needed any more
		outfl << (*it).option << " " << (*it).filename << endl;
	}

}

