/************************************************************
 * getinfo.h  version 0.1.4
 * Licence: GPL
 * all done by juergen repolusk <juerep@gmx.at>
 *
 * getinfo.h is for getting info like the home path of
 * the user. at this point i dont know what else i can
 * include into it.
 *
 ************************************************************/

#if !defined(__GETINFO_H__)
#define __GETINFO_H__


#include <stdio.h>
#include <pwd.h>
#include <sys/types.h>
#include <grp.h>
#include <unistd.h>

uid_t me;
struct passwd *my_passwd;
char* my_dir;
char* return_dir;

char* get_user_path(void)
{

	me = getuid();
	my_passwd = getpwuid(me);
	if (!my_passwd)
	{
		printf("could not find any information about this user!\n");
		return NULL;
	}

	my_dir = my_passwd->pw_dir;
	return_dir = (char *) malloc(strlen(my_dir)+1+1);
	if (sprintf(return_dir,"%s/", my_dir) < 0)
		return NULL;

	return return_dir;

}


void free_get_user_path_res(void)
{
	free(return_dir);
}


#endif /* __GETINFO_H__ */

